Description

The motive of this task is to understand the use of Digital Terrain Models for Basin Analysis and Building from source vector data.

It is also an insight into the Terrain Dtataset in ArcGIS and the properties that are used to define and generate a Terrain Dataset

purely from vector sources.

The advantage of using this model would be using the concept of triangulation (Pyramids) to build a more accurate 3D/2D terrain for

Basin Analysis using contours and elevation points.

The purpose of this reference is to understand how ArcGIS has created a vector based DTM using original scientific concepts so that

we know if this workflow might suit our purpose for fine tuning a terrain for better basin analysis.

We could test this tool to eventually see the outcome and accordingly judge its overall use.

History

#1 - 27/05/2019 16:00 - Debojyoti Mallick

Debojyoti Mallick wrote:

The motive of this task is to understand the use of Digital Terrain Models for Basin Analysis and Building from source vector data.

It is also an insight into the Terrain Dtataset in ArcGIS and the properties that are used to define and generate a Terrain Dataset purely from

vector sources.

The advantage of using this model would be using the concept of triangulation (Pyramids) to build a more accurate 3D/2D terrain for Basin

Analysis using contours and elevation points.

The purpose of this reference is to understand how ArcGIS has created a vector based DTM using original scientific concepts so that we know if

this workflow might suit our purpose for fine tuning a terrain for better basin analysis.

We could test this tool to eventually see the outcome and accordingly judge its overall use.

 

To start we should understand what a Terrain Dataset is to ArcGIS to eventually generate the DTM

A typical definition for a Terrain Dataset would be :-

"A terrain dataset is a multiresolution, TIN-based surface built from measurements stored as features in a geodatabase. They're typically made from

lidar, sonar, and photogrammetric sources. Terrains reside in the geodatabase, inside feature datasets with the features used to construct them."

Now when the definition says "a TIN based surface" , I would like to clarify that this is not a raster format of any sorts. Just like a raster format for

elevation models (eg. DEM) , it will store the measurements in the form of Vector Features in Feature Classes (Feature Classes are nothing but a

much more evolved version of the shapefile which stores your data in a Database or in ESRI's term a GeoDatabase).

It would be nice to refer to the following documentation for a clearer picture : 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/what-is-a-terrain-dataset-.htm

In short : "The terrain dataset, along with its collection of supporting tools, facilitates the storage and maintenance of vector-based surface

measurements coupled with the ability to use surfaces derived from those measurements."

Because this is a vector model we can apply rules to Terrain Datasets just like you would for Topology. This would eventually aid in refining the model

as the model would be influenced by roads, shapes of the basins , ridges etc.

Our second step would be understanding the Data Sources that can be used to create a Terrain Dataset.
You can refer to the above documentation for any additional information.

You can also read through the following documentation for an overview of Designing a Terrain Dataset: 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/an-overview-of-terrain-design.htm

Now we look at the Datatypes that can be used as a source data to build your terrain model.

You can use multiple vector sources like *.las datasets, GPS points, Sonar Points or simple Points Lines and Polygons (which is what we are

concerned about)

Point, multipoint, polyline, and polygon geometry types can be incorporated into the terrain surface in different ways. You control how a feature is

used by setting its surface feature type (SFType).

In simple words we can use the above datatypes to generate the Surface Models

Surface Feature Type Feature Class Z value source Thematic Datatype Examples

Mass Points Point Line and Polygon Feature

Class

Shape geometry; x,y,z per vertex

or Attribute column holding one

z-value per shape

Points: Spot Heights, Survey

Points, GPS Points Lines:

Contours Polygons: Basin Border

generated by Convex Method

Breaklines (hard or soft) Line and Polygon Feature Class Shape geometry; x,y,z per vertex

or Attribute column holding one

z-value per shape or No height

source

Lines: Contours, Edge of

Pavements, Waterlines Polygons:

Basin Border

In addition to the above set of source features used to define the surface terrain you can use the Rules of Clip, Erase and Replace Polygons for

refining the model.

To better Understand the table above, it is best to refer to the following link : 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/types-of-souces-data-supported-in-terrain-datasets.htm

In addition to this, you can refer to the following link to understand how this Vector Source Data would Translate into a Terrain Dataset: (This will

show you how triangulation of points will work from an input dataset. Also you can understand where the Rules for Clip, Erase and Replace would

eventually apply).

FYI : Please exclude Hard and Soft Feature Types as they are related to converting the Vector Terrain Model to a Raster

Representation of Terrain Source Data: 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/representing-terrain-source-data-in-feature-classe.htm

We will also need to understand the concepts of Pyramids in a Digital Terrain Model.

A general definition of Pyramids would be :

"Pyramids are levels of detail generated for a terrain dataset to improve efficiency for some applications. They are used as a form of scale-dependent

generalization. Pyramid levels take advantage of the fact that accuracy requirements diminish with scale."

You would use Pyramids to have accurate terrain measurements for the entire model at both small and large scales defines by you.

It essentially would refine your already produced Terrain Model.

Terrain pyramids are generated through the process of point reduction, also known as point thinning. This reduces the number of measurements

needed to represent a surface for a given area. For each successive pyramid level, fewer measurements are used, and the accuracy requirements

necessary to display the surface drops accordingly. The original source measurements are still used in coarser pyramids, but there are fewer of them.

No resampling, averaging, or derivative data is used for pyramids.

You can refer to the following document to understand the use of Terrain Pyramids: 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/terrain-pyramids.htm

Now we come to finally Building the Terrain in an ArcGIS environment:

You can Build the Terrain Dataset Using the New Terrain Wizard : (Overview of How the tool works: 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/building-a-terrain-dataset-using-the-terrain-wizard.htm )

Building Terrain through the 3D Analyst Geo-processing tools: 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/building-a-terrain-dataset-with-gp-tools.htm

You can Visualize terrains on Both 2D and 3D views. The question that arises for me is when the Feature Classes are converted to shapefiles, will

they carry the same properties defined in the Terrain Dataset. (They should but only carrying out a test would confirm)

The most easiest way to share the Terrain  model would be using the GeoPackage format as we would not be bound by ant potential data restrictions

from using ArcGIS's File GeoDatabse, Feature Dataset and Feature Class formats.
#2 - 27/05/2019 16:10 - Debojyoti Mallick

- % Done changed from 0 to 30

#3 - 07/06/2019 10:19 - Debojyoti Mallick

Debojyoti Mallick wrote:

Debojyoti Mallick wrote:

The motive of this task is to understand the use of Digital Terrain Models for Basin Analysis and Building from source vector data.

It is also an insight into the Terrain Dtataset in ArcGIS and the properties that are used to define and generate a Terrain Dataset purely from

vector sources.

The advantage of using this model would be using the concept of triangulation (Pyramids) to build a more accurate 3D/2D terrain for Basin

Analysis using contours and elevation points.

The purpose of this reference is to understand how ArcGIS has created a vector based DTM using original scientific concepts so that we

know if this workflow might suit our purpose for fine tuning a terrain for better basin analysis.

We could test this tool to eventually see the outcome and accordingly judge its overall use.

 

To start we should understand what a Terrain Dataset is to ArcGIS to eventually generate the DTM

A typical definition for a Terrain Dataset would be :-

"A terrain dataset is a multiresolution, TIN-based surface built from measurements stored as features in a geodatabase. They're typically made

from lidar, sonar, and photogrammetric sources. Terrains reside in the geodatabase, inside feature datasets with the features used to construct

them."

Now when the definition says "a TIN based surface" , I would like to clarify that this is not a raster format of any sorts. Just like a raster format for

elevation models (eg. DEM) , it will store the measurements in the form of Vector Features in Feature Classes (Feature Classes are nothing but

a much more evolved version of the shapefile which stores your data in a Database or in ESRI's term a GeoDatabase).

It would be nice to refer to the following documentation for a clearer picture : 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/what-is-a-terrain-dataset-.htm

In short : "The terrain dataset, along with its collection of supporting tools, facilitates the storage and maintenance of vector-based surface

measurements coupled with the ability to use surfaces derived from those measurements."

Because this is a vector model we can apply rules to Terrain Datasets just like you would for Topology. This would eventually aid in refining the

model as the model would be influenced by roads, shapes of the basins , ridges etc.

Our second step would be understanding the Data Sources that can be used to create a Terrain Dataset.

You can refer to the above documentation for any additional information.

You can also read through the following documentation for an overview of Designing a Terrain Dataset: 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/an-overview-of-terrain-design.htm

Now we look at the Datatypes that can be used as a source data to build your terrain model.

You can use multiple vector sources like *.las datasets, GPS points, Sonar Points or simple Points Lines and Polygons (which is what we are

concerned about)

Point, multipoint, polyline, and polygon geometry types can be incorporated into the terrain surface in different ways. You control how a feature is

used by setting its surface feature type (SFType).

In simple words we can use the above datatypes to generate the Surface Models

Surface Feature Type Feature Class Z value source Thematic Datatype Examples

Mass Points Point Line and Polygon Feature

Class

Shape geometry; x,y,z per vertex

or Attribute column holding one

z-value per shape

Points: Spot Heights, Survey

Points, GPS Points Lines:

Contours Polygons: Basin Border

generated by Convex Method

Breaklines (hard or soft) Line and Polygon Feature Class Shape geometry; x,y,z per vertex

or Attribute column holding one

z-value per shape or No height

source

Lines: Contours, Edge of

Pavements, Waterlines Polygons:

Basin Border
In addition to the above set of source features used to define the surface terrain you can use the Rules of Clip, Erase and Replace Polygons for

refining the model.

To better Understand the table above, it is best to refer to the following link : 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/types-of-souces-data-supported-in-terrain-datasets.htm

In addition to this, you can refer to the following link to understand how this Vector Source Data would Translate into a Terrain Dataset: (This will

show you how triangulation of points will work from an input dataset. Also you can understand where the Rules for Clip, Erase and Replace

would eventually apply).

FYI : Please exclude Hard and Soft Feature Types as they are related to converting the Vector Terrain Model to a Raster

Representation of Terrain Source Data: 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/representing-terrain-source-data-in-feature-classe.htm

We will also need to understand the concepts of Pyramids in a Digital Terrain Model.

A general definition of Pyramids would be :

"Pyramids are levels of detail generated for a terrain dataset to improve efficiency for some applications. They are used as a form of

scale-dependent generalization. Pyramid levels take advantage of the fact that accuracy requirements diminish with scale."

You would use Pyramids to have accurate terrain measurements for the entire model at both small and large scales defines by you.

It essentially would refine your already produced Terrain Model.

Terrain pyramids are generated through the process of point reduction, also known as point thinning. This reduces the number of measurements

needed to represent a surface for a given area. For each successive pyramid level, fewer measurements are used, and the accuracy

requirements necessary to display the surface drops accordingly. The original source measurements are still used in coarser pyramids, but there

are fewer of them. No resampling, averaging, or derivative data is used for pyramids.

You can refer to the following document to understand the use of Terrain Pyramids: 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/terrain-pyramids.htm

Now we come to finally Building the Terrain in an ArcGIS environment:

You can Build the Terrain Dataset Using the New Terrain Wizard : (Overview of How the tool works: 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/building-a-terrain-dataset-using-the-terrain-wizard.htm )

Building Terrain through the 3D Analyst Geo-processing tools: 

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/building-a-terrain-dataset-with-gp-tools.htm

You can Visualize terrains on Both 2D and 3D views. The question that arises for me is when the Feature Classes are converted to shapefiles,

will they carry the same properties defined in the Terrain Dataset. (They should but only carrying out a test would confirm)

The most easiest way to share the Terrain  model would be using the GeoPackage format as we would not be bound by ant potential data

restrictions from using ArcGIS's File GeoDatabse, Feature Dataset and Feature Class formats.

 

Unfortunately this workflow cannot be used as the contours generated are not dependable to use as an input feature.

Delaunay triangulation 2.5 D could be used to fix the contours which can then be applied as an input parameter for this workflow.

06/07/2025 4/5

http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/types-of-souces-data-supported-in-terrain-datasets.htm
http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/representing-terrain-source-data-in-feature-classe.htm
http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/terrain-pyramids.htm
http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/building-a-terrain-dataset-using-the-terrain-wizard.htm
http://desktop.arcgis.com/en/arcmap/10.3/manage-data/terrains/building-a-terrain-dataset-with-gp-tools.htm


#4 - 07/06/2019 10:20 - Debojyoti Mallick

- Status changed from New to Feedback

- % Done changed from 30 to 50
